Status update
Update mDocs status
Sets the status of an existing mDoc by providing its credentialId and the new status.
MATTR VII implements Draft 14 of the IETF Token Status List specification, which uses 1-bit encoding. The available status values are:
- valid - Credential is valid
- invalid - Credential is invalid (cannot be reversed)
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>credentialId*stringmDoc identifier
uuidCredential status payload
application/json- body
status*stringmDoc status. MATTR VII implements Draft 14 of the IETF Token Status List
specification, which uses 1-bit encoding, so the available values are valid
and invalid.
"valid""invalid"Credential status updated
application/json- response
status*stringmDoc status. MATTR VII implements Draft 14 of the IETF Token Status List
specification, which uses 1-bit encoding, so the available values are valid
and invalid.
"valid""invalid"curl -X POST "https://example.com/v2/credentials/mobile/3948c40e-6e19-4ffc-933c-91f643f24264/status" \ -H "Content-Type: application/json" \ -d '{ "status": "valid" }'{ "status": "valid"}Retrieve mDocs status
Retrieves the status of an existing mDoc by providing its credentialId.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>credentialId*stringmDoc identifier
uuidCredential status retrieved
application/json- response
status*stringmDoc status. MATTR VII implements Draft 14 of the IETF Token Status List
specification, which uses 1-bit encoding, so the available values are valid
and invalid.
"valid""invalid"curl -X GET "https://example.com/v2/credentials/mobile/3948c40e-6e19-4ffc-933c-91f643f24264/status"{ "status": "valid"}How would you rate this page?
Last updated on